summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorErik Schmauss <erik.schmauss@intel.com>2017-08-30 09:41:06 -0700
committerErik Schmauss <erik.schmauss@intel.com>2017-08-30 15:05:37 -0700
commit6c50a9e3b508ae5ff454a2c9f0ee225a46f2c3fc (patch)
tree3014cba8d1a0502c71d76b68e7529c9c022be133 /tests
parent05bc03a5df9d522c83714050dad31794ffc89606 (diff)
downloadacpica-6c50a9e3b508ae5ff454a2c9f0ee225a46f2c3fc.tar.gz
ASLTS: Makefile: remove compile-disassemble-recompile from install_all_modes_of_test_case
Compile-disassemble-recompile will be in different targets. This means that the OPT argument is no longer needed in install_all_modes_of_test_case. Signed-off-by: Erik Schmauss <erik.schmauss@intel.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/aslts/Makefile.def61
1 files changed, 1 insertions, 60 deletions
diff --git a/tests/aslts/Makefile.def b/tests/aslts/Makefile.def
index bb6a78ee4..5ab86f64d 100644
--- a/tests/aslts/Makefile.def
+++ b/tests/aslts/Makefile.def
@@ -85,65 +85,6 @@ install_all_modes_of_test_case: $(TOP)/tmp/aml/$(ASLTS_VER)/$(ASLTS_AMLDIR)
"$(ASL)" $(ASLTS_ASLFLAGS) "$(COMMON_ASL_FLAGS)" $(ADD_ASLFLAGS) $$j.asl >> $(COMPILER_LOG) 2>> $(COMPILER_ERROR_LOG); \
ret=$$?; \
echo "" >> $(COMPILER_LOG); \
- if [ $(OPT) -eq 0 ] && [ "x$(ADD_ASLFLAGS)" != "x-f" ]; then \
- for k in ${AMLMOD}; do \
- >&2 printf " => Compile Ext in-place"; \
- "$(ASL)" -p $$k-extInPlace -oE $(ASLTS_ASLFLAGS) "$(COMMON_ASL_FLAGS)" $(ADD_ASLFLAGS) $$j.asl >> $(COMPILER_LOG) 2>> $(COMPILER_ERROR_LOG); \
- if [ ! -f $$k-extInPlace.aml ]; then \
- >&2 printf " [[ Error: disassembly failed of $$k.aml failed ]]\n"; \
- >&2 printf " Flags used: -p $$k-aslminus -oE -cr -vs $(ASLTS_ASLFLAGS) $(ADD_ASLFLAGS) -od -dl\n\n"; \
- #exit 1; \
- fi; \
- >&2 printf " => Disassemble"; \
- echo "---- Diasassemble: $$k.aml" >> $(COMPILER_LOG); \
- echo "---- Diasassemble: $$k.aml" >> $(COMPILER_ERROR_LOG); \
- "$(ASL)" -p $$k-aslminus -oe -cr -vs $(ASLTS_ASLFLAGS) $(ADD_ASLFLAGS) -od -dl $$k-extInPlace.aml >> $(COMPILER_LOG) 2>> $(COMPILER_ERROR_LOG); \
- if [ ! -f $$k-aslminus.dsl ]; then \
- >&2 printf " [[ Error: disassembly failed of $$k.aml failed ]]\n"; \
- >&2 printf " Flags used: -p $$k-aslminus -cr -vs $(ASLTS_ASLFLAGS) $(ADD_ASLFLAGS) -od -dl\n\n"; \
- #exit 1; \
- fi; \
- >&2 printf " => Recompile"; \
- echo "---- Recompile: $$k.dsl" >> $(COMPILER_LOG); \
- echo "---- Recompile: $$k.dsl" >> $(COMPILER_ERROR_LOG); \
- "$(ASL)" $(ASLTS_ASLFLAGS) "$(COMMON_ASL_FLAGS)" $(ADD_ASLFLAGS) $$k-aslminus.dsl >> $(COMPILER_LOG) 2>> $(COMPILER_ERROR_LOG); \
- if [ ! -f $$k-aslminus.aml ]; then \
- >&2 printf " [[ Error: re-compilation of $$k-aslminus.dsl failed]]\n"; \
- >&2 printf " Flags used: $(ASLTS_ASLFLAGS) "$(COMMON_ASL_FLAGS)" $(ADD_ASLFLAGS)\n\n"; \
- #exit 1; \
- fi; \
- if [ $(ASLTS_AMLDIR) = "nopt/32" ] || [ $(ASLTS_AMLDIR) = "nopt/64" ]; then \
- >&2 printf " => Binary compare"; \
- rm -f comparison_output.txt; \
- acpibin -c $$k.aml $$k-aslminus.aml >> comparison_output.txt; \
- if [ $$? != 0 ]; then \
- >&2 printf " [[ Error: comparison of $$k.aml and $$k-aslminus.aml do not match ]]"; \
- cat comparison_output.txt | sed '1,/^Error/d' | sed 's/Error - Byte mismatch at offset / => /g' | sed -n 1,10p > comparison_output.txt;\
- >&2 printf "\n"; \
- cat comparison_output.txt >&2 ; \
- >&2 printf " "; \
- #exit 1; \
- else \
- >&2 printf " => Success!"; \
- rm comparison_output.txt; \
- fi; \
- fi; \
- if [ ! -f comparison_output.txt ]; then \
- >&2 printf " => Removing files"; \
- rm $$k-aslminus.lst; \
- rm $$k-aslminus.aml; \
- rm $$k-aslminus.dsl; \
- fi; \
- for n in "$$k-aslminus" "$$k-extInPlace"; do \
- rm $$n.i $$n.asm $$n.nsp; \
- rm $$n.c $$n.hex $$n.map; \
- rm $$n.h $$n.src $$n.offset.h; \
- done; \
- rm $$k-extInPlace.aml; \
- rm $$k-extInPlace.lst; \
- >&2 printf " => Done"; \
- done; \
- fi; \
>&2 printf " => Removing files"; \
rm $$j.asm; \
rm $$j.c; \
@@ -183,7 +124,7 @@ install_test_case:
@if [ ! -f "$(ASL)" ]; then \
echo "Bad iASL 1: <$(ASL)> does not exist"; exit 1; \
else \
- make install_all_modes_of_test_case ASLTS_MODE=$(ASLTS_MODE) OPT=$(OPT) ASLTS_VER=$(ASLTS_VER); \
+ make install_all_modes_of_test_case ASLTS_MODE=$(ASLTS_MODE) ASLTS_VER=$(ASLTS_VER); \
fi
# Compile one particular Test Case for all modes.